* {
  margin: 0;
  box-sizing: border-box;
  outline: none !important;
}

body,
html {
  height: 100%;
  font-family: "Noto Sans", Arial, sans-serif;
  font-size: 16px;
}
body {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #222;
}
a {
  color: #2233ff;
  outline: none;
  text-decoration: none;
  position: relative;
  transition: 0.13s opacity;
}
a:hover {
  text-decoration: underline;
}
a:active {
  opacity: 0.8;
}
.container {
  padding: 24px 32px;
  border: 1px solid #aaa;
  border-radius: 16px;
  max-width: 800px;
}
a.copied-popup::before {
  position: absolute;
  top: calc(-100% - 10px);
  content: "Скопировано";
  display: block;
  color: white;
  background: black;
  border-radius: 8px;
  padding: 5px 10px;
  border: 1px solid #313140;
  left: -14%;
  animation: fadeout 0.75s ease-out 1s 1 both;
  pointer-events: none;
}
@keyframes fadeout {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

h1,
h2,
h3,
h4 {
  color: black;
}
h1 {
  margin-bottom: 8px;
}
h2 {
  margin-bottom: 4px;
}
#heart {
  height: 16px;
  width: 16px;
  vertical-align: middle;
  margin: 0 2px;
}
@media (max-width: 500px) {
  .container {
    padding: 18px 24px;
    margin: 4px;
  }
}
@media (prefers-color-scheme: dark) {
  body {
    color: #ddd;
    background: #050b10;
  }
  .container {
    border-color: #313140;
  }
  h1,
  h2,
  h3,
  h4 {
    color: white;
  }
  a {
    color: #7788ff;
  }
}
